"""This modules holds models for ``common`` test app."""

from django.db import models

from mtp.apps.common.models import Tokenable

from .constants import TOKEN_LENGTH


class ObjectWithToken(Tokenable):
    """A model to test ``Tokenable`` mixin."""

    token = models.CharField(
        max_length=TOKEN_LENGTH,
        unique=True,
        blank=True,
        null=True,
    )
